public enum GameEventType
{
        NONE,
        GAME_ERROR,
        COLLECT_MONEY,
        MONEY_COLLECTED,
        ADD_BUILDING,
        LEVEL_UP_BUILDING,
        LEVEL_DOWN_BUILDING,
        BUILDING_ADDED,
        UPGRADE_BUILDING,
        BUILDING_UPGRADED,
        RENAME_BUILDING,
        BUILDING_RENAMED,
        SELL_BUILDING,
        BUILDING_SOLD,
        RESET_DATA,
        DATA_RESETED,
		MOVE_BUILDING,
		BUILDING_MOVED,
		SWITCH_TO_AR,
		SWITCH_TO_2D,
		START_LOADING,
		STOP_LOADING,
		GAME_LOOP,
		ADD_ROAD,
		REMOVE_ROAD,
		ROAD_ADDED,
		ROAD_REMOVED,
		MISSION_UPDATE,
		COLLECT_MISSION,
		MISSION_COLLECTED,
		ROTATE_ROAD,
		ROAD_ROTATED,
		SEED_FINISH_GROW,
		COLLECT_PLANT,
		START_MISSION,
		PLANT_SEED,
		SEED_PLANTED,
		PLANT_COLLECTED,
		SWITCH_TO_GREENHOUSE,
		UPDATE_ROAD,
		ROAD_UPDATED,
		XP_GAINED,
		WEATHER_CHANGE,
		CHANGE_LANGUAGE,
}